For the complete documentation index, see llms.txt. This page is also available as Markdown.

Incident Templates

Get incident templates.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of entities.

Default: 50
Responses
200

The incident templates

application/json
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
get/incident-templates
GET /api/incident-templates HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The incident templates

[
  {
    "id": 1,
    "name": "text",
    "summary": "text",
    "status": "INVESTIGATING",
    "message": "text",
    "sendNotification": true,
    "severity": 1,
    "appliesTo": [
      "INCIDENT"
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  }
]

Create a new incident template.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
Responses
200

The newly created incident template

application/json
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
post/incident-templates
POST /api/incident-templates HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 176

{
  "id": 1,
  "name": "text",
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "severity": 1,
  "appliesTo": [
    "INCIDENT"
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}
200

The newly created incident template

{
  "id": 1,
  "name": "text",
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "severity": 1,
  "appliesTo": [
    "INCIDENT"
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Get a specific incident template.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200

The requested incident template

application/json
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
get/incident-templates/{id}
GET /api/incident-templates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested incident template

{
  "id": 1,
  "name": "text",
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "severity": 1,
  "appliesTo": [
    "INCIDENT"
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Update the specific incident template

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
Responses
200

The updated incident template

application/json
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
put/incident-templates/{id}
PUT /api/incident-templates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 176

{
  "id": 1,
  "name": "text",
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "severity": 1,
  "appliesTo": [
    "INCIDENT"
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}
200

The updated incident template

{
  "id": 1,
  "name": "text",
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "severity": 1,
  "appliesTo": [
    "INCIDENT"
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Remove a specific incident template.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

Empty body delete response

delete/incident-templates/{id}
DELETE /api/incident-templates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

Empty body delete response

No content

Get the incident template with the specified name.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
namestringRequired

unique name of the incident template

Responses
200

The requested incident template

application/json
idnumberOptional
namestringOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
severityinteger · int32 · min: 1 · max: 5Optional
get/incident-templates/name/{name}
GET /api/incident-templates/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested incident template

{
  "id": 1,
  "name": "text",
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "severity": 1,
  "appliesTo": [
    "INCIDENT"
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Last updated

Was this helpful?